Package com.salesforce.datacloud.jdbc.core.listener

## Interface QueryStatusListener

All Known Implementing Classes:
  `AdaptiveQueryStatusListener`, `AsyncQueryStatusListener`, `SyncQueryStatusListener`

    public interface QueryStatusListener

### Field Summary

Fields
`static String` `BEFORE_READY`

### Method Summary

All Methods Instance Methods Abstract Methods
`DataCloudResultSet` `generateResultSet()`
`String` `getQuery()`
`String` `getQueryId()`
`String` `getStatus()`
`boolean` `isReady()`
`Stream<QueryResult>` `stream()`

### Field Detail

#### BEFORE_READY

    static final String BEFORE_READY

See Also:
  Constant Field Values

### Method Detail

#### getQuery

    String getQuery()

#### isReady

    boolean isReady()

#### getStatus

    String getStatus()

#### getQueryId

    String getQueryId()

#### generateResultSet

    DataCloudResultSet generateResultSet()

#### stream

    Stream<QueryResult> stream()
                        throws SQLException

Throws:
  `SQLException`